Subject: Re: [rohc] UOR-2 packets with TS_STRIDE and Tsc equal to 1 in Extension 3

From: "Kavitha KR" <[email-masked]>
Date: Sat, 3 Apr 2004 17:39:48 +0530

Hi Pawel,

>I've run into a problem with UOR-2 packet Tsc field equal to 1 Extension 3
and
with TS_STRIDE. Is it legal to send such packets ?

As I have understood, while using UOR-2 packets with ext 3,
we can send only one of the following fields in that packet.

(1) TS (Scaled or unscaled)
(2) TS_STRIDE
(3) TIME_STRIDE

All the above three fields are "variable-octet" fields and hence
each of the above field is to be encoded according
to section 4.5.6. That means the TS  bits in the base header will indicate
the
the number of octets of whichever field present in the header.

Then, if TSS bit set to 1, it the TS_STRIDE field's number of
octets that had been indicated in the base header.

Similarly, when TIME_STRIDE is to be sent, TIS is set to 1.

When TS is to be sent, both TSS & TIS cannot be set to 1.
Tsc can be 1 o 0 , depending on whether TS is scaled or unscaled.

> If Yes, how decompressor should calculate new TS_OFFSET to decompress the

  scaled TS value compressed in the packet ?

Probably you should be using IR-DYN packets to transmit the absolute value
of TS as well as the
TS_STRIDE together.

Regards,
Kavitha

                      "Pawel Szymanski"                                                                                                
                      <[email-masked]>         To:       [email-masked]                                                                 
                      Sent by:                 cc:                                                                                     
                      [email-masked]        Subject:  [rohc] UOR-2 packets with TS_STRIDE and Tsc equal to 1 in Extension 3         
                      rg                                                                                                               

                      04/01/2004 07:36                                                                                                 
                      PM                                                                                                               

Hi,

I've run into a problem with UOR-2 packet Tsc field equal to 1 Extension 3
and
with TS_STRIDE. Is it legal to send such packets ?

If Yes, how decompressor should calculate new TS_OFFSET to decompress the
scaled TS value compressed in the packet ?
Should it calculate the new TS_OFFSET using the reference timestamp value
(i.e.
the value sent in the last successfully decompressed packet containing TS
field) ?

Another option is to calculate the new TS_OFFSET using the tiemstamp value
sent
in the last decompressed packet (which can be diffrent from the reference
timestamp value) ?

Or should decompressor use the old TS_OFFSET to decompress the received
packet ?

Best Regards

Pawel

----------------------------------------------------
Co przyniesie w tym roku Zając? Chcesz mu pomóc?
Kicnij się na wielkanocne zakupy.wp.pl
http://klik.wp.pl/?adr=http%3A%2F%2Fzakupy.wp.pl%2Fwielkanoc.html&sid=155

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: "Pawel Szymanski" <[email-masked]>
Date: Mon, 5 Apr 2004 09:45:30 +0200

Hi Kavitha,

I can't see why UOR-2* packet can contain either TS or TS_STRIDE. I think UOR-
2* packets can carry both TS and TS_STRIDE at the same time. 
For example the following UOR-2 packet format is possible:

Base UOR-2 header

   +---+---+---+---+---+---+---+---+
   | 1   1   0 |        TS         |
   +===+===+===+===+===+===+===+===+
   |TS | M |          SN           |
   +---+---+---+---+---+---+---+---+
   |X=1|            CRC            |
   +---+---+---+---+---+---+---+---+

Extension 3

   +-----+-----+-----+-----+-----+-----+-----+-----+
   |  1     1  | S=0 |R-TS=0|Tsc=1| I=0 |ip=0 |rtp=1|            
   +-----+-----+-----+-----+-----+-----+-----+-----+

RTP header flags and fields
    ..... .....  .....  ..... .....  .....   .....   .....
   |   Mode    |R-PT =0|  M  | R-X |CSRC=0 | TSS=1 | TIS=1 |
    ..... ..... ..... ..... ..... ..... ..... .....
   /                  TS_STRIDE                    /  1-4 oct if TSS = 1
    ..... ..... ..... ..... ..... ..... ..... ....

In fact, I have no doubt what decompressor should do when it receives UOR-2* 
with TS is unscaled form (i.e. Tsc = 0) and TS_STRIDE present (i.e. TSS = 1). 
But I still don't know what is correct decompressor's behaviour in case it 
receives UOR-2* packet with scaled TS (i.e. Tsc = 1) and TS_STRIDE present 
(i.e. TSS =1). How it can calculate TS_OFFSET needed to decompress the received 
scaled TS value ?

Note that the following text from RFC 3095 section 5.7.5 page 85:

" Tsc: Tsc = 0 indicates that TS is not scaled;
  Tsc = 1 indicates that TS is scaled according to section
  4.5.3, using value(TS_STRIDE). "

For me the fact that the TS is scaled using "value(TS_STRIDE)" and not context
(TS_STRIDE) suggests that the TS can be scaled using TS_STRIDE sent in the same 
packet as the TS field. 

Regards

Pawel

>                       "Pawel 
Szymanski"                                                                      
                          
>                       Sent by:                 
cc:                                                                             
        
>                       [email-masked]        Subject:  [rohc] UOR-2 packets 
with TS_STRIDE and Tsc equal to 1 in Extension 3         
rg                                                                              

                                                         
>                       04/01/2004 
07:36                                                                           
                      
PM                                                                              

                                                         

----------------------------------------------------
Fani zespołu Metallica łączcie się! Dołączamy do majowego koncertu!
http://klik.wp.pl/?adr=http%3A%2F%2Fmuzyka.wp.pl%2Fimprezy.html%3Fidn%3D829&sid=157